sap.ui.define(["bchui5/interfaces", "./AuthUtil"], function (__bchui5_interfaces, __AuthUtil) {
  function _interopRequireDefault(obj) {
    return obj && obj.__esModule && typeof obj.default !== "undefined" ? obj.default : obj;
  }

  const isCancelled = __bchui5_interfaces["isCancelled"];

  const AuthUtil = _interopRequireDefault(__AuthUtil);

  var AuthEventIds;

  (function (AuthEventIds) {
    AuthEventIds["loggedin"] = "loggedin";
    AuthEventIds["loggedout"] = "loggedout";
    AuthEventIds["logout"] = "logout"; // aliases (the code is lowercase still)

    AuthEventIds["LoggedIn"] = "loggedin";
    AuthEventIds["LoggedOut"] = "loggedout";
  })(AuthEventIds || (AuthEventIds = {}));

  var AuthHeaderKeys;

  (function (AuthHeaderKeys) {
    AuthHeaderKeys["X-SMP-APPCID"] = "X-SMP-APPCID";
    AuthHeaderKeys["APPCID"] = "X-SMP-APPCID";
    AuthHeaderKeys["Authorization"] = "Authorization";
  })(AuthHeaderKeys || (AuthHeaderKeys = {}));

  var TouchIdReasonCode;

  (function (TouchIdReasonCode) {
    TouchIdReasonCode["NOT_AVAILABLE"] = "NOT_AVAILABLE";
    TouchIdReasonCode["NO_USERNAME"] = "NO_USERNAME";
    TouchIdReasonCode["DB_CHANGED"] = "DB_CHANGED";
    TouchIdReasonCode["DEVICE_RESTARTED"] = "DEVICE_RESTARTED";
    TouchIdReasonCode["NO_CREDENTIALS"] = "NO_CREDENTIALS";
  })(TouchIdReasonCode || (TouchIdReasonCode = {}));

  const __exports = {
    __esModule: true
  };
  __exports.AuthUtil = AuthUtil;
  __exports.isCancelled = isCancelled;
  __exports.AuthEventIds = AuthEventIds;
  __exports.AuthHeaderKeys = AuthHeaderKeys;
  __exports.TouchIdReasonCode = TouchIdReasonCode;
  return __exports;
});