sap.ui.define(["bchui5/util/ComponentAccessor", "bchui5/util/BCHLogger", "bchui5/util/UrlHelper", "bchui5/util/Events", "bchui5/util/promises/Promises", "bchui5/util/http/AbstractHttpClient", "bchui5/util/http/errors/HttpError", "bchui5/util/http/errors/AbortedHttpError"], (ComponentAccessor, BCHLogger, UrlHelper, Events, Promises, AbstractHttpClient, HttpError, AbortedHttpError) => {
  const logger = new BCHLogger("DefaultHttpClient");
  /**
   * @ nonui5
   */

  class DefaultHttpClient extends AbstractHttpClient {
    //static ui5 = false
    constructor() {
      super(...arguments);
    }
    /**
     * Make the jQuery.ajax call.
     * Subclassing implementations that don't use jQuery.ajax should override this.
     * rather than DefaultHttpClient.prototype.request(..)
     *
     * @protected should only be called from request()
     * @returns {Promise}
     * @resolves {data, xhr, request}
     */


    requestWorker(params) {
      logger.start("requestWorker");
      return Events.wrapWithSignalAbortHandlingAndPromise(params.signal, (resolve, reject) => {
        return sendRequest(params, resolve, reject);
      });
    }

  } //return the instance creator rather than direct access to the constructor


  return DefaultHttpClient;
});