sap.ui.define(["sap/ui/core/SAPClass", "./Relative"], function (SAPClass, __Relative) {
  function _interopRequireDefault(obj) {
    return obj && obj.__esModule && typeof obj.default !== "undefined" ? obj.default : obj;
  }

  const Relative = _interopRequireDefault(__Relative);
  /**
   * @name test.fixtures.classes.MyClass
   */


  const MyClass = SAPClass.extend("test.fixtures.classes.MyClass", {
    renderer: {},
    metadata: {},
    constructor: function _constructor(arg) {
      console.log("constructor");
      SAPClass.prototype.constructor.call(this, arg);

      this.property_arrow_function = () => 1;

      this.x = 1;
    },

    get prop() {
      return 1;
    },

    set prop(val) {
      this.x = val;
    },

    shorthandMethod: function _shorthandMethod(...args) {
      SAPClass.prototype.foo.apply(this, [...args]);
      this.name = Relative.name();
    },
    shorthandConflict: function _shorthandConflict() {
      // Make sure the shorthand function doesn"t a function with the same name.
      return shorthandConflict();
    },
    async_shorthand_function: async function _async_shorthand_function(arg) {
      return await 1;
    },
    property_value: 1
  });

  MyClass.static_shorthand_function = function static_shorthand_function() {
    return 1;
  };

  MyClass.static_property_value = 1;

  MyClass.static_property_arrow = () => 1;

  MyClass.static_async_shorthand_function = async function static_async_shorthand_function() {
    return await 1;
  };

  MyClass.z = function () {
    return "hey";
  };

  function shorthandConflict() {
    return 1;
  }

  return MyClass;
});