sap.ui.define(["sap/ui/base/ManagedObject"], function (ManagedObject) {
  /**
   * @name examples.Animal
   */
  const Animal = ManagedObject.extend("examples.Animal", {
    metadata: {
      properties: {
        type: {
          type: "string"
        },
        nickName: {
          type: "string"
        }
      }
    },
    constructor: function _constructor(...args) {
      ManagedObject.prototype.constructor.apply(this, [...args]);
    },
    init: function _init() {
      ManagedObject.prototype.init.call(this);
    },
    callMe: function _callMe() {
      alert(`I"m a ${this.getType()}.
        Call me ${this.getNickName()}.`);
    }
  });
  return Animal;
});